import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Point, Type, IList$1 } from "igniteui-react-core";
import { AxisLabelPanelBaseView } from "./AxisLabelPanelBaseView";
import { Rect } from "igniteui-react-core";
import { Axis } from "./Axis";
import { List$1 } from "igniteui-react-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { IAngleScaler } from "./IAngleScaler";
import { CategoryAxisRenderer } from "./CategoryAxisRenderer";
import { DependencyProperty } from "igniteui-react-core";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { PolarAxisRenderingManager } from "./PolarAxisRenderingManager";
import { ScalerParams } from "./ScalerParams";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { Geometry } from "igniteui-react-core";
import { NumericAxisBase } from "./NumericAxisBase";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { GeometryGroup } from "igniteui-react-core";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare class AngleAxisLabelPanel extends AxisLabelPanelBase {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b9(a: AxisLabelPanelBaseView): void;
    ct: AngleAxisLabelPanelView;
    constructor();
    cu: boolean;
    c0: (arg1: number) => Point;
    ap(a: number, b: Rect): boolean;
    cy: number;
    cv: number;
    cx: number;
    cw: number;
    az(): List$1<Rect>;
    private cz;
    ah(): AxisLabelsLocation;
    at(a: AxisLabelsLocation): boolean;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxis extends CategoryAxisBase implements IAngleScaler {
    static $t: Type;
    a3(): AxisView;
    gy(a: AxisView): void;
    k6: CategoryAngleAxisView;
    protected get_b2(): boolean;
    private lb;
    constructor();
    au(): AxisLabelPanelBase;
    k8: CategoryAxisRenderer;
    private lc;
    private lq;
    private lg;
    private k7;
    private l5;
    private lk;
    private k5;
    getMinMaxAngle(a: Rect, b: number, c: number): {
        p1: number;
        p2: number;
    };
    ac(): void;
    private k9;
    la: NumericRadiusAxis;
    aj(): Axis;
    lr: number;
    private lh;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    j0(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    ln(a: number): number;
    protected hd(a: boolean): void;
    lm(a: Rect, b: Rect): number;
    ll(a: Rect, b: Rect): number;
    getScaledAngle(a: number): number;
    getUnscaledAngle(a: number): number;
    dz(a: number, b: ScalerParams): number;
    d2(a: number, b: ScalerParams): number;
    protected g0(a: any, b: string, c: any, d: any): void;
    private lz;
    l1(a: NumericRadiusAxis): void;
    static readonly l2: DependencyProperty;
    lo: number;
    private le;
    li: number;
    ea(): number;
    static readonly l3: DependencyProperty;
    lp: number;
    private lf;
    lj: number;
    protected ld(): boolean;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    cp(): boolean;
    private ls;
    lt: number;
    i2(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericAngleAxis extends NumericAxisBase implements IAngleScaler {
    static $t: Type;
    a3(): AxisView;
    gy(a: AxisView): void;
    ll: NumericAngleAxisView;
    lo: PolarAxisRenderingManager;
    protected get_b2(): boolean;
    constructor();
    au(): AxisLabelPanelBase;
    private ls;
    private lu;
    private lp;
    private lq;
    jm(): NumericAxisRenderer;
    private l1;
    dz(a: number, b: ScalerParams): number;
    getScaledAngle1(a: number, b: boolean, c: boolean): number;
    getScaledAngle(a: number): number;
    d2(a: number, b: ScalerParams): number;
    getUnscaledAngle(a: number): number;
    lv: number;
    private lr;
    protected g0(a: any, b: string, c: any, d: any): void;
    private lx;
    jq(): NumericAxisRenderingParameters;
    jp(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    getMinMaxAngle(a: Rect, b: number, c: number): {
        p1: number;
        p2: number;
    };
    protected hd(a: boolean): void;
    private lm;
    ln: NumericRadiusAxis;
    aj(): Axis;
    lz(a: NumericRadiusAxis): void;
    protected ho(a: Rect, b: Rect): void;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    i2(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericRadiusAxis extends NumericAxisBase {
    static $t: Type;
    a3(): AxisView;
    gy(a: AxisView): void;
    ln: NumericRadiusAxisView;
    protected get_ce(): boolean;
    dy(): number;
    private lw;
    private lv;
    private lo;
    constructor();
    au(): AxisLabelPanelBase;
    lp: boolean;
    private lt;
    private lq;
    jm(): NumericAxisRenderer;
    dz(a: number, b: ScalerParams): number;
    lz(a: number, b: boolean, c: boolean, d: number, e: number): number;
    ly(a: number): number;
    l0(a: number): number;
    d2(a: number, b: ScalerParams): number;
    l2: number;
    ls: number;
    l1: number;
    lr: number;
    protected g0(a: any, b: string, c: any, d: any): void;
    protected lu: number;
    l7(a: Axis): void;
    private ll;
    lm: Axis;
    aj(): Axis;
    jq(): NumericAxisRenderingParameters;
    jp(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    private l8;
    private l3;
    lx(): number;
    lb(a: AxisRangeChangedEventArgs): void;
    protected hd(a: boolean): void;
    protected ho(a: Rect, b: Rect): void;
    l6(a: GeometryGroup, b: Rect, c: Rect, d: Rect, e: Rect): void;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    i2(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AngleAxisLabelPanelView extends AxisLabelPanelBaseView {
    static $t: Type;
    protected ax: AngleAxisLabelPanel;
    constructor(a: AngleAxisLabelPanel);
    am(): void;
    ay(a: List$1<Rect>, b: List$1<boolean>): void;
    o(): number;
    p(): number;
    q(): number;
    r(): number;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bg: CategoryAngleAxis;
    constructor(a: CategoryAngleAxis);
}
/**
 * @hidden
 */
export declare class NumericAngleAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: NumericAngleAxis;
    constructor(a: NumericAngleAxis);
}
/**
 * @hidden
 */
export declare class NumericRadiusAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: NumericRadiusAxis;
    constructor(a: NumericRadiusAxis);
}
